Institute of Certified Bookkeepers

Zoom has released an important notice encouraging everyone that uses the platform to begin updating all clients to Zoom 5.0.

Beginning May 30, 2020, all Zoom clients must be on 5.0+ in order to join any meeting, as GCM Encryption will be fully enabled for all Zoom meetings. Zoom 5.0 clients are also compatible with the encryption used by Zoom meetings prior to May 30.

If an older client attempts to join a GCM meeting, the user will be prompted for confirmation before upgrading. Some versions will offer users the option to join via web and do the client upgrade later.

Click here for more information on the changes and how to update your Zoom application.

  • 27th May 2020
loading